VTRACER(1)

NAME
vtracer - convert raster images into vector graphics

SYNOPSIS
vtracer [OPTIONS] --input input --output output

DESCRIPTION
vtracer converts raster images into vector graphics and writes SVG output.

OPTIONS

-i, --input input
    Path to the input raster image.

-o, --output output
    Path to the output vector graphics file.

--colormode color_mode
    Select true-color color mode or binary bw mode.

-p, --color_precision color_precision
    Number of significant bits to use in an RGB channel.

-c, --corner_threshold corner_threshold
    Minimum momentary angle, in degrees, to be considered a corner.

-f, --filter_speckle filter_speckle
    Discard patches smaller than the given number of pixels.

-g, --gradient_step gradient_step
    Color difference between gradient layers.

--hierarchical hierarchical
    Select hierarchical clustering mode: stacked or cutout . Only applies to color mode.

-m, --mode mode
    Select curve fitting mode: pixel , polygon , or spline .

--path_precision path_precision
    Number of decimal places to use in path strings.

--preset preset
    Use a preset configuration: bw , poster , or photo .

-l, --segment_length segment_length
    Perform iterative subdivide smoothing until all segments are shorter than this length.

-s, --splice_threshold splice_threshold
    Minimum angle displacement, in degrees, to splice a spline.

-h, --help
    Print help information.

-V, --version
    Print version information.

AUTHOR
vtracer was written by Chris Tsang.